# IRfMarkerVisualizationDisp Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | SetVisualizationMesh ([in] BSTR gGroupId,[in] IDispatch *pMesh)
HRESULT | AttachVisualizationMesh ([in] BSTR gGroupId)
HRESULT | AddVertex ([in] IDispatch *pVertex,[in] float fSize,[in] IDispatch *pColor)
HRESULT | AddEdge ([in] IDispatch *pVertex1,[in] IDispatch *pVertex2,[in] IDispatch *pColor)
HRESULT | AddVector ([in] IDispatch *pOrigin,[in] IDispatch *pDirection,[in] IDispatch *pUp,[in] IDispatch *pColor)
HRESULT | GetTextSizeX ([in] BSTR szText,[out, retval] RtUlong *dwSizeX)
HRESULT | GetTextSizeY ([in] BSTR szText,[out, retval] RtUlong *dwSizeY)
HRESULT | AddText ([in] IDispatch *pOrigin,[in] IDispatch *pDirX,[in] IDispatch *pDirY,[in] BSTR szText,[in] IDispatch *pColor)
HRESULT | AddMeasureText ([in] IDispatch *pOrigin,[in] IDispatch *pDirX,[in] IDispatch *pDirY,[in] BSTR szText,[in] IDispatch *pColor)
HRESULT | GetMeasureTextSizeX ([in] BSTR szText,[out, retval] RtUlong *dwSizeX)
HRESULT | GetMeasureTextSizeY ([in] BSTR szText,[out, retval] RtUlong *dwSizeY)

## Detailed Description

IRfMarkerVisualizationDisp is a scriptable version of IRfMarkerVisualization function set.

## Member Function Documentation

HRESULT IRfMarkerVisualizationDisp::SetVisualizationMesh | ( | [in] BSTR | gGroupId,
|  | [in] IDispatch * | pMesh |
| ) |  |  |

Display and attach visualization mesh to specified group.

Parameters:

  | gGroupId | [in] Group ID to attach to.
  | pMesh | [in] Mesh to be attached.

Returns:
  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::AttachVisualizationMesh | ( | [in] BSTR | gGroupId | ) |

Attach this set to specified group.

Parameters:

  | gGroupId | [in] Group to attach to.

Returns:
  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::AddVertex | ( | [in] IDispatch * | pVertex,
|  | [in] float | fSize,
|  | [in] IDispatch * | pColor |
| ) |  |  |

Add vertex to current group.

Parameters:

  | pVertex | [in] Vertex position.
  | fSize | [in] Vertex size.
  | pColor | [in] Vertex Color.

Returns:
  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::AddEdge | ( | [in] IDispatch * | pVertex1,
|  | [in] IDispatch * | pVertex2,
|  | [in] IDispatch * | pColor |
| ) |  |  |

Add edge (line) to current group.

Parameters:

  | pVertex1 | [in] Line starting point.
  | pVertex2 | [in] Line end point.
  | pColor | [in] Edge color.

Returns:
  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::AddVector | ( | [in] IDispatch * | pOrigin,
|  | [in] IDispatch * | pDirection,
|  | [in] IDispatch * | pUp,
|  | [in] IDispatch * | pColor |
| ) |  |  |

Add vector (arrow) to current group.

Parameters:

  | pOrigin | [in] Vector origin.
  | pDirection | [in] Vector direction.
  | pUp | [in] Vector Up direction.
  | pColor | [in] Vector color.

Returns:
  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::GetTextSizeX | ( | [in] BSTR | szText,
|  | [out, retval] RtUlong * | dwSizeX |
| ) |  |  |

Return text size X.

Parameters:

  | szText | [in] Text for size calculations.

Returns:
  dwSizeX [out, retval] Length of text in X direction.

  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::GetTextSizeY | ( | [in] BSTR | szText,
|  | [out, retval] RtUlong * | dwSizeY |
| ) |  |  |

Return text size Y.

Parameters:

  | szText | [in] Text for size calculations.

Returns:
  dwSizeY [out, retval] Length of text in Y direction.

  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::AddText | ( | [in] IDispatch * | pOrigin,
|  | [in] IDispatch * | pDirX,
|  | [in] IDispatch * | pDirY,
|  | [in] BSTR | szText,
|  | [in] IDispatch * | pColor |
| ) |  |  |

Add text default font.

Parameters:

  | pOrigin | [in] Text origin.
  | pDirX | [in] X direction of the text.
  | pDirY | [in] Y direction of the text.
  | szText | [in] Text to render.
  | pColor | [in] Color.

Returns:
  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::AddMeasureText | ( | [in] IDispatch * | pOrigin,
|  | [in] IDispatch * | pDirX,
|  | [in] IDispatch * | pDirY,
|  | [in] BSTR | szText,
|  | [in] IDispatch * | pColor |
| ) |  |  |

Add text with internal vector font.

- Note that not all chars are defined as this method is intended for rendering distances markers.

Parameters:

  | pOrigin | [in] Text origin.
  | pDirX | [in] X direction of the text.
  | pDirY | [in] Y direction of the text.
  | szText | [in] Text to render.
  | pColor | [in] Color.

Returns:
  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::GetMeasureTextSizeX | ( | [in] BSTR | szText,
|  | [out, retval] RtUlong * | dwSizeX |
| ) |  |  |

Return text size for X.

Parameters:

  | szText | [in] Text for size calculations.

Returns:
  dwSizeX [out,retval] Length of text in X direction.

  Standard HRESULT processing can be applied.

HRESULT IRfMarkerVisualizationDisp::GetMeasureTextSizeY | ( | [in] BSTR | szText,
|  | [out, retval] RtUlong * | dwSizeY |
| ) |  |  |

Return text size.

Parameters:

  | szText | [in] Text for size calculations.

Returns:
  dwSizeY [out,retval] Length of text in Y direction.

  Standard HRESULT processing can be applied.